Package twisted :: Package protocols :: Module raw :: Class IRawDatagramProtocol

[frames | no frames]

## Class IRawDatagramProtocol

    Interface --+
                |
               IRawDatagramProtocol

An interface for protocols such as UDP, ICMP and TCP.

Method Summary
| ``addProto`()` Add a protocol on top of this one.
| ``datagramReceived`()` An IP datagram has been received.

Method Details

### addProto()

Add a protocol on top of this one.

### datagramReceived()

An IP datagram has been received. Parse and process it.

Generated by Epydoc 2.0 on Sat May 15 20:07:39 2004 | http://epydoc.sf.net